Bug 146737 - CAN-2005-0155 multiple setuid perl issues (CAN-2005-0156)
Summary: CAN-2005-0155 multiple setuid perl issues (CAN-2005-0156)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard: impact=important,embargo=yes
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-01 03:14 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 16:42:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Text sent to vendor-sec (6.00 KB, text/plain)
2005-02-01 03:14 UTC, Josh Bressers
no flags Details
Proposed patch (742 bytes, patch)
2005-02-01 03:17 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:105 high SHIPPED_LIVE Important: perl security update 2005-02-07 05:00:00 UTC

Description Josh Bressers 2005-02-01 03:14:11 UTC
Created attachment 110480 [details]
Text sent to vendor-sec

Comment 1 Josh Bressers 2005-02-01 03:14:11 UTC
The following isuses were reported regarding running setuid perl executables
(I'm attaching the report as a text file as it is long).


buffer overflow caused by very long paths
and a PERLIO_DEBUG file overwrite bug.

Comment 2 Josh Bressers 2005-02-01 03:15:43 UTC
This issue should also affect RHEL2.1

Comment 3 Josh Bressers 2005-02-01 03:17:22 UTC
Created attachment 110481 [details]
Proposed patch

This patch needs peer review.

Comment 4 Josh Bressers 2005-02-01 13:56:00 UTC
CAN-2005-0155 for the privilege escalation in debug mode
CAN-2005-0156 for the buffer overflow

Comment 5 Chip Turner 2005-02-01 17:39:28 UTC
patch applied and built into dist-3.0E-errata-candidate

Comment 8 Mark J. Cox 2005-02-03 09:08:09 UTC
Removing embargo, public via ubuntu

Comment 10 Josh Bressers 2005-02-03 23:02:49 UTC
This issue does not affect RHEL2.1

Comment 11 Josh Bressers 2005-02-07 16:42:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-105.html



Note You need to log in before you can comment on or make changes to this bug.